#include <stdio.h>

#include "sudoku.h"

int main(void){
	int sudoku[9][9];
	int options[9][3];
	char key;
	int i, j;


	//funkce ze souboru sudoku.c, která ze standartního vstupu načte sudoku k vyřešení
	if(SudokuOpen(sudoku) == 1){
		return 1;
	}
	//funkce taktéž ze souboru sudoku.c doplní sudoku
	if(SudokuSolver(sudoku) == 1){
		printf("Unsolved\n");
		return 1;
	}
	//cyklus vypysující vyřešené sudoku
	printf("\nSolve :\n");
	for(i = 0; i < 9; i++){
		for(j = 0; j < 9; j++){
			printf("%i ", sudoku[i][j]);
		}
		putchar('\n');
	}
	return 0;
}
